#
# Conditional build:
%bcond_with	libsoup3	# use libsoup3/gtk-webkit4.1 for HTTP/2 support

Summary:	Epiphany - WebKit-based GNOME web browser
Summary(es.UTF-8):	Epiphany - navigador Web de GNOME basado en WebKit
Summary(pl.UTF-8):	Epiphany - przeglądarka WWW dla GNOME
Name:		epiphany
Version:	42.4
Release:	2
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://download.gnome.org/sources/epiphany/42/%{name}-%{version}.tar.xz
# Source0-md5:	846b96d427571edeabd6da9d5d7fa17c
URL:		https://wiki.gnome.org/Apps/Web
BuildRequires:	appstream-glib
BuildRequires:	cairo-devel >= 1.2
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-ui-devel >= 3.6.0
BuildRequires:	gdk-pixbuf2-devel >= 2.36.5
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.67.4
BuildRequires:	gmp-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.24.0
%{!?with_libsoup3:BuildRequires:	gtk-webkit4-devel >= 2.33.2}
%{?with_libsoup3:BuildRequires:	gtk-webkit4.1-devel >= 2.33.2}
BuildRequires:	iso-codes >= 0.53
BuildRequires:	json-glib-devel >= 1.6
BuildRequires:	libarchive-devel
BuildRequires:	libdazzle-devel >= 3.37.1
BuildRequires:	libhandy1-devel >= 1.5.0
BuildRequires:	libnotify-devel >= 0.5.1
BuildRequires:	libportal-gtk3-devel >= 0.5
BuildRequires:	libsecret-devel >= 0.19.0
%{!?with_libsoup3:BuildRequires:	libsoup-devel >= 2.48.0}
%{?with_libsoup3:BuildRequires:	libsoup3-devel >= 2.99.4}
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	meson >= 0.51.0
BuildRequires:	nettle-devel >= 3.4
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.22
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.67.4
Requires(post,postun):	gtk-update-icon-cache
Requires:	bubblewrap
Requires:	ca-certificates
Requires:	dbus >= 1.0.2
Requires:	gcr-ui >= 3.6.0
Requires:	gdk-pixbuf2 >= 2.36.5
Requires:	glib2 >= 1:2.67.4
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.24.0
%{!?with_libsoup3:Requires:	gtk-webkit4 >= 2.33.2}
%{?with_libsoup3:Requires:	gtk-webkit4.1 >= 2.33.2}
Requires:	hicolor-icon-theme
Requires:	iso-codes >= 0.53
Requires:	json-glib >= 1.6
Requires:	libdazzle >= 3.37.1
Requires:	libhandy1 >= 1.5.0
Requires:	libnotify >= 0.5.1
Requires:	libportal-gtk3 >= 0.5
Requires:	libsecret >= 0.19.0
%{!?with_libsoup3:Requires:	libsoup >= 2.48.0}
%{?with_libsoup3:Requires:	libsoup3 >= 2.99.4}
Requires:	libxml2 >= 1:2.6.28
Requires:	nettle >= 3.4
Requires:	sqlite3 >= 3.22
Requires:	xdg-dbus-proxy
Provides:	wwwbrowser
Obsoletes:	epiphany-apidocs < 3.8.0-2
Obsoletes:	epiphany-devel < 3.8.0-2
Obsoletes:	epiphany-extensions < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Web (codename: Epiphany) is a GNOME web browser based on the
WebKit rendering engine.

%description -l es.UTF-8
Navigador Web de GNOME basado en WebKit.

%description -l pl.UTF-8
GNOME Web (nazwa kodowa: Epiphany) jest przeglądarką WWW dla GNOME
opartą na silniku renderującym WebKit.

%prep
%setup -q

%build
%meson build \
	%{?with_libsoup3:-Dsoup2=disabled}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md TODO
%attr(755,root,root) %{_bindir}/epiphany
%dir %{_libdir}/epiphany
%attr(755,root,root) %{_libdir}/epiphany/libephymain.so
%attr(755,root,root) %{_libdir}/epiphany/libephymisc.so
%attr(755,root,root) %{_libdir}/epiphany/libephysync.so
%dir %{_libdir}/epiphany/web-process-extensions
%attr(755,root,root) %{_libdir}/epiphany/web-process-extensions/libephywebprocessextension.so
%attr(755,root,root) %{_libexecdir}/epiphany-search-provider
%if "%{_libexecdir}" != "%{_libdir}"
%dir %{_libexecdir}/epiphany
%endif
%attr(755,root,root) %{_libexecdir}/epiphany/ephy-profile-migrator
%{_datadir}/dbus-1/services/org.gnome.Epiphany.SearchProvider.service
%{_datadir}/epiphany
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_desktopdir}/org.gnome.Epiphany.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Epiphany.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Epiphany-symbolic.svg
%{_mandir}/man1/epiphany.1*
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epiphany.git;a=log;h=master

* Wed Aug 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 3f5c87f
- release 2

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 3958984
- updated to 42.4

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> f3fb753
- updated to 42.3

* Fri Apr 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 900c76e
- removed obsolete libtool dependency

* Fri Apr 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 14a6f27
- updated to 42.2 (fixes CVE-2022-29536)

* Wed Apr 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 482188d
- updated to 42.1

* Thu Apr 07 2022 Jakub Bogusz <qboosh@pld-linux.org> cdbf7d9
- updated to 42.0

* Tue Dec 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 83626c3
- updated to 41.3

* Fri Dec 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 6555df8
- updated to 41.2 (fixes CVE-2021-45085, CVE-2021-45086, CVE-2021-45087, CVE-2021-45088)

* Sat Sep 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 55e6ee0
- updated to 41.0

* Sat Sep 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 847c55a
- requires bubblewrap, xdg-dbus-proxy; release 2

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 38bfa67
- updated to 40.3

* Sun Jun 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 83a31e9
- updated to 40.2

* Thu Apr 29 2021 Jakub Bogusz <qboosh@pld-linux.org> b879e94
- updated to 40.1

* Wed Mar 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a656a5
- updated to 40.0

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> c662f61
- updated to 3.38.3

* Wed Dec 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 3d61646
- updated to 3.38.2

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 2c00515
- updated to 3.38.1

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 59270ba
- updated to 3.38.0

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 11e8754
- updated to 3.36.4

